umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_umloperationdialog.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/umloperationdialog.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_UMLOperationDialog_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_UMLOperationDialog_t | qt_meta_stringdata_UMLOperationDialog
static const uint | qt_meta_data_UMLOperationDialog []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_UMLOperationDialog_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)

## Variable Documentation

## ◆ qt_meta_data_UMLOperationDialog

const uint qt_meta_data_UMLOperationDialog[]
| static

## ◆ qt_meta_stringdata_UMLOperationDialog

const qt_meta_stringdata_UMLOperationDialog_t qt_meta_stringdata_UMLOperationDialog
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 18),
QT_MOC_LITERAL(1, 19, 26),
QT_MOC_LITERAL(2, 46, 0),
QT_MOC_LITERAL(3, 47, 1),
QT_MOC_LITERAL(4, 49, 19),
QT_MOC_LITERAL(5, 69, 16),
QT_MOC_LITERAL(6, 86, 4),
QT_MOC_LITERAL(7, 91, 17),
QT_MOC_LITERAL(8, 109, 8),
QT_MOC_LITERAL(9, 118, 6),
QT_MOC_LITERAL(10, 125, 16),
QT_MOC_LITERAL(11, 142, 19),
QT_MOC_LITERAL(12, 162, 23),
QT_MOC_LITERAL(13, 186, 15),
QT_MOC_LITERAL(14, 202, 17),
QT_MOC_LITERAL(15, 220, 20),
QT_MOC_LITERAL(16, 241, 13),
QT_MOC_LITERAL(17, 255, 15)
},
"UMLOperationDialog\0slotParmRightButtonPressed\0"
"\0p\0slotParmDoubleClick\0QListWidgetItem*\0"
"item\0slotMenuSelection\0QAction*\0action\0"
"slotNewParameter\0slotDeleteParameter\0"
"slotParameterProperties\0slotParameterUp\0"
"slotParameterDown\0slotParamsBoxClicked\0"
"parameterItem\0slotNameChanged"
}
qt_meta_stringdata_UMLOperationDialog_t
Definition: moc_umloperationdialog.cpp:24
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_umloperationdialog.cpp:28